# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/attica': '@latest-kf6'
    'frameworks/baloo': '@latest-kf6'
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kauth': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'
    'frameworks/kcodecs': '@latest-kf6'
    'frameworks/kcompletion': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/kfilemetadata': '@latest-kf6'
    'frameworks/kglobalaccel': '@latest-kf6'
    'frameworks/kguiaddons': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kiconthemes': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kitemmodels': '@latest-kf6'
    'frameworks/kitemviews': '@latest-kf6'
    'frameworks/kjobwidgets': '@latest-kf6'
    'frameworks/knewstuff': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/knotifyconfig': '@latest-kf6'
    'frameworks/kpackage': '@latest-kf6'
    'frameworks/kparts': '@latest-kf6'
    'frameworks/krunner': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/ktextwidgets': '@latest-kf6'
    'frameworks/kwidgetsaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'frameworks/solid': '@latest-kf6'
    'frameworks/sonnet': '@latest-kf6'
    'frameworks/kunitconversion': '@latest-kf6'
    'plasma/libplasma': '@same'
    'plasma/libksysguard': '@same'
    'plasma/breeze': '@same'
    'plasma/plasma-workspace': '@same'
    'plasma/powerdevil': '@same'
    'plasma/systemsettings': '@same'
    'plasma/plasma-activities': '@latest-kf6' # Different branch scheme due to formerly being a Framework
    'plasma/plasma-activities-stats': '@latest-kf6' # Different branch scheme due to formerly being a Framework
    'third-party/packagekit-qt': '@latest'
    'third-party/wayland': '@latest'
    'third-party/wayland-protocols': '@latest'
    'libraries/kirigami-addons': '@latest-kf6'

RuntimeDependencies:
- 'on': ['@all']
  'require':
    'plasma/plasma-integration' : '@same'
- 'on': ['Linux']
  'require':
    'frameworks/kded': '@latest-kf6'
    'frameworks/qqc2-desktop-style': '@latest-kf6'
    'network/kio-extras': '@latest-kf6'
    'plasma/kactivitymanagerd': '@same'
    'sdk/selenium-webdriver-at-spi': '@latest-kf6'

Options:
  ctest-arguments: '--repeat until-pass:5'
  require-passing-tests-on: [ '@all' ]
